pub struct SerialConfig<'a> {
	pub vendor_id: i32,
	pub product_id: i32,
	pub manufacturer: &'a str,
	pub product: &'a str,
	pub serial_number: &'a str,
}

impl<'a> SerialConfig<'a> {
	pub const fn new() -> Self {
		Self {
			vendor_id: 0x16c0,
			product_id: 0x27dd,
			manufacturer: "MeMyselfAndI",
			product: "Pico Serial",
			serial_number: "13371337",
		}
	}
}
